Commit d395a925b47d25ac80b35c2b97e7498cc607259e

Authored by Silvan Calarco
1 parent 281478f33c
Exists in master

diskimg: support for RELEASE

Showing 2 changed files with 8 additions and 4 deletions Side-by-side Diff

... ... @@ -209,7 +209,7 @@
209 209 sopranobackend = soprano-backend-virtuoso
210 210 dhcpclient = dhcp-client
211 211 networkmanagergui = network-manager-applet
212   -phonon_backend = phonon-backend-gstreamer
  212 +phonon_backend = phonon-backend-gstreamer010
213 213 mono[Mono.Cecil] = mono-core
214 214 mono[Mono.Cecil.Mdb] = mono-core
215 215 mono[gdk-sharp]= gtk-sharp2
platforms/diskimg/post.inc.sh
  1 +[ "$RELEASE" -a "$RELEASE" != "devel" ] && RELEASE_ADD="-$RELEASE" || RELEASE_ADD=
1 2 if [ "$MODE" = "rootfsinstall" ]; then
2   - /usr/sbin/rootfsinstall -y $ROOTFSINSTALL_ADD $LOOPDEV \
3   - $LOCALSTATEDIR/openmamba-rootfs-light-$LANGUAGE.$DEVICEARCH.tar.xz || \
  3 + DISKIMG_FILE="$LOCALSTATEDIR/openmamba-rootfs-light${RELEASE_ADD}-$LANGUAGE.$DEVICEARCH.tar.xz"
  4 + echo "Using image $DISKIMG_FILE..."
  5 + /usr/sbin/rootfsinstall -y $ROOTFSINSTALL_ADD $LOOPDEV $DISKIMG_FILE || \
4 6 { retcode=$?
5 7 echo "$makedist_me: fatal error, aborting installation" >&2
6 8 echo "$makedist_me: exit code was: $retcode" >&2
7 9  
... ... @@ -8,9 +10,11 @@
8 10 sleep 600
9 11 { (exit 1); exit 1; }; }
10 12 elif [ "$MODE" = "usbinstall" ]; then
  13 + DISKIMG_FILE="$LOCALSTATEDIR/openmamba${RELEASE_ADD}-livecd-$LANGUAGE.$ARCH.iso"
  14 + echo "Using image $DISKIMG_FILE..."
11 15 # FIXME: current hosting system requirements:
12 16 # grub-efi.i586 mactel-boot
13   - /usr/sbin/usbinstall $LOOPDEV $LOCALSTATEDIR/openmamba-livecd-$LANGUAGE.$ARCH.iso -y || \
  17 + /usr/sbin/usbinstall $LOOPDEV $DISKIMG_FILE -y || \
14 18 { retcode=$?
15 19 echo "$makedist_me: fatal error, aborting installation" >&2
16 20 echo "$makedist_me: exit code was: $retcode" >&2